ConlluTagset (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.conllu

## Enum ConlluTagset

- java.lang.Object
- - java.lang.Enum<ConlluTagset>
  - - opennlp.tools.formats.conllu.ConlluTagset

- All Implemented Interfaces:
    Serializable, Comparable<ConlluTagset>

      public enum ConlluTagset
      extends Enum<ConlluTagset>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `U`
    `X`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConlluTagset` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConlluTagset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### U

          public static final ConlluTagset U

    - #### X

          public static final ConlluTagset X

  - ### Method Detail

    - #### values

          public static ConlluTagset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConlluTagset c : ConlluTagset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConlluTagset valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2026 The Apache Software Foundation. All rights reserved.